#
# spec file for package python-django-countries
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-django-countries
Version:        7.2.1
Release:        1.3
Summary:        Provides a country field for Django models
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/SmileyChris/django-countries/
Source:         https://files.pythonhosted.org/packages/source/d/django-countries/django-countries-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django
Recommends:     python-djangorestframework
Recommends:     python-graphene-django
Recommends:     python-pyuca
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module djangorestframework}
BuildRequires:  %{python_module graphene-django}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pyuca}
# /SECTION
%python_subpackages

%description
Provides a country field for Django models, including
support for Django REST Framework.

%prep
%setup -q -n django-countries-%{version}
sed -i '1{/^#!/d}' django_countries/*.py

%build
%python_build

%install
%python_install
%{python_expand rm -r %{buildroot}%{$python_sitelib}/django_countries/tests/
%fdupes %{buildroot}%{$python_sitelib}
}

%check
export DJANGO_SETTINGS_MODULE=django_countries.tests.settings
export PYTHONPATH=${PWD}
%pytest

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue May 11 2021 John Vandenberg <jayvdb@gmail.com>
- Add optional dependency pyuca
- Update to v7.2.1
  * Fix Latin translations.
- from v7.2
  * Allow the character field to work with custom country codes that
    are not 2 characters (such as "GB-WLS").
  * Fix compatibility with django-migrations-ignore-attrs library.
- from v7.1
  * Allow customising the str_attr of Country objects returned from
    a CountryField via a new countries_str_attr keyword argument
  * Add pyuca as an extra dependency, so that it can be installed
    like pip install django-countries[pyuca].
  * Add Django 3.2 support.
- from v7.0
  * Add name_only as option to the DRF serializer field
  * Add in Python typing.
  * Add Python 3.9, Django 3.1, and Django Rest Framework 3.12 support
  * Drop Python 3.5 support.
  * Improve IOC code functionality, allowing them to be overridden in
    COUNTRIES_OVERRIDE using the complex dictionary format.
- from v6.1.3
  * Update flag of Mauritania.
  * Add flag for Kosovo (under its temporary code of XK)
* Sat Jun  6 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v6.1.2
* Thu Apr 18 2019 John Vandenberg <jayvdb@gmail.com>
- Convert to single spec, fdupes, tidy
- Add Obsoletes/Provides for old Python 2 package name
- Remove tests from runtime package, fix hashbangs
- Use %%license, add CHANGES.rst to %%doc
- Update to v5.3.3
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 1.5
  + No changelog available
- Replace python-distribute with python-setuptools BuildRequires
* Mon Oct 15 2012 jfunk@funktronics.ca
- Update to 1.4:
  * Added and updated translations
  * Updated country list (Libya changed)
- Run tests
- Add LICENSE to %%doc
- README is now README.rst
* Sat Oct  8 2011 alexandre@exatati.com.br
- Update to 1.1.1:
  - Sorry, no changelog.
* Thu Oct  6 2011 alexandre@exatati.com.br
- Update to 1.1;
- Regenerate spec file with p2pack.
* Thu Jan 22 2009 poeml@suse.de
- initial package (0.1-r3)
